Cannot set up parallel port printer

Bug #369850 reported by bhiggs on 2009-04-30
96
This bug affects 12 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by jack naus
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned
Nominated for Jaunty by jack naus
Lucid
Undecided
Unassigned
Maverick
High
Unassigned
udev (Ubuntu)
Undecided
Unassigned
Nominated for Jaunty by jack naus
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned

Bug Description

Binary package hint: cups

I have just done a clean upgrade from Intrepid Ibex to Jaunty Jackalope (i.e., I downloaded the CD .iso file, burned it to CD and then did a clean install over the existing Ubuntu installation).

I was able to set up my parallel port connected laser printer on Intrepid Ibex, but Jaunty Jackalope seems not to give me a choice of Parallal port when I try to set up my printer.

Please tell me how to set up my parallel port connected laser printer on Jaunty Jackalope.

Thanks!

I used the ubuntu-bug cups program to upload the information about my system. I hope that it made it, associated with this bug.

ProblemType: Bug
Architecture: i386
CupsErrorLog:
 E [29/Apr/2009:13:47:59 -0400] CUPS-Add-Modify-Printer: Unauthorized
 E [29/Apr/2009:13:53:18 -0400] cupsdAuthorize: Local authentication certificate not found!
 E [29/Apr/2009:13:54:02 -0400] cupsdAuthorize: Local authentication certificate not found!
 E [29/Apr/2009:13:54:02 -0400] CUPS-Delete-Printer: Unauthorized
DistroRelease: Ubuntu 9.04
Lpstat: Error: command ['lpstat', '-v'] failed with exit code 1: lpstat: No destinations added.
Lsusb:
 Bus 001 Device 002: ID 13b1:000d Linksys WUSB54G Wireless Adapter
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Dell Computer Corporation L466c
Package: cups 1.3.9-17ubuntu2
Papersize: letter
ProcCmdLine: root=UUID=03f04b06-444f-44e9-8017-ff85b8c6db57 ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
SourcePackage: cups

bhiggs (bryanhiggs) wrote :

Please provide the information described under "Printer detection" of https://wiki.ubuntu.com/DebuggingPrintingProblems

Changed in cups (Ubuntu):
assignee: nobody → Pascal De Vuyst (pascal-devuyst)
status: New → Incomplete
bhiggs (bryanhiggs) wrote :

I thought that the ubuntu-bugs cups program already did that.

However, here's the output requested from the Parallel Port section:

bryan@pinkroom:~$ lsmod | grep lp
lp 17156 0
parport 42220 2 ppdev,lp
bryan@pinkroom:~$ lsmod | grep ppdev
ppdev 15620 0
parport 42220 2 ppdev,lp
bryan@pinkroom:~$ dmesg | grep par
[ 0.888120] Booting paravirtualized kernel on bare hardware
[ 0.902971] pci 0000:00:1e.0: transparent bridge
[ 8.520169] PM: Resume from partition 8:5
[ 36.586436] ppdev: user-space parallel port driver
bryan@pinkroom:~$ lpinfo -v
network socket
network beh
direct hal
direct hpfax
direct hp
network http
network ipp
network lpd
direct scsi
serial serial:/dev/ttyS0?baud=115200
network smb
bryan@pinkroom:~$

When I bring up the New Printer dialog, the only devices listed are:

Serial Port #1
Other
> Network Printer

Nothing that indicates that a parallel port printer can be selected.

Changed in cups (Ubuntu):
status: Incomplete → New
Till Kamppeter (till-kamppeter) wrote :

The kernel tells in the boot dmesg that it loaded the "lp" parallel port driver but it did not find any devices. Did you turn on your printer before booting? Is your printer cable OK?

bhiggs (bryanhiggs) wrote :

Yes, I did turn on the printer before booting. I did this explicitly, knowing that it might make a difference.

As I said in the main bug text, I had already set up this printer, using the same cable, for Intrepid Ibex and had no problems at all (I was impressed how easy it was!). When I cleanly installed Jaunty Jackalope over Intrepid Ibex, I could no longer set up the printer. No changes have been made to the printer cable between the installations.

Till Kamppeter (till-kamppeter) wrote :

Then it seems to be a kernel problem. The kernel is not detecting the printer here and so the "parallel" CUPS backend does not get any information about the printer when communicating with the kernel.

affects: cups (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: Pascal De Vuyst (pascal-devuyst) → nobody
importance: Undecided → High
FrancisT (francis-turner) wrote :

I should add that I followed the advice here - http://newbiedoc.berlios.de/wiki/Setting_up_a_parallel_printer_using_CUPS#BIOS_setting_for_parallel_port - about resetting the BIOS ppt without success. For some reason jaunty doesn't seem to like parallel ports...

Bert (bouwen-depauw) wrote :

I can confirm this bug. I upgraded from 8.10 to 9.04 and have a HP Deskjet 720 C on my parallel port. It worked fine before the upgrade. After the upgrade, when I tried to print I got this message: 'Printer may not be connected' (in Dutch). I removed the printer and tried to reïnstall, but it seems not to see the printer.

Here is my output:

bert@desktop:~$ lsmod | grep lp
lp 17156 0
parport 42220 2 ppdev,lp

bert@desktop:~$ lsmod | grep ppdev
ppdev 15620 0
parport 42220 2 ppdev,lp

bert@desktop:~$ dmesg | grep par
[ 0.323461] Booting paravirtualized kernel on bare hardware
[ 4.022664] ahc_pci:0:12:0: Host Adapter Bios disabled. Using default SCSI device parameters
[ 19.176671] PM: Resume from partition 8:3
[ 47.926847] ppdev: user-space parallel port driver

bert@desktop:~$ lpinfo -v
network socket
network beh
direct hal
direct hpfax
direct hp
network http
network ipp
network lpd
direct scsi
serial serial:/dev/ttyS0?baud=115200
serial serial:/dev/ttyS1?baud=115200
network smb

edfield (ededdneddie) wrote :

I can confirm this bug. I upgraded from 8.10 to 9.04 and have a HP Laser Jet 6P on my parallel port. It worked fine before the upgrade.

I reported under bug #367457 on 4-26-09
Logs attached to that bug.

$ lsmod | grep lp
lp 17156 0
paraport 42220 2 ppdev,lp
$ lsmod | grep ppdev
ppdev 15620 0
parport 42220 2 ppdev,lp
$ dmesg | grep par
[ 0.144001] Booting paravirtualized kernel on bare hardware
[ 0.145797] pci 0000:00:1e.0: transparent bridge
[ 3.075566] PM: Resume from partition 8:1
[ 23.587535] ppdev: user-space parallel port driver
$ lpinfo -v
network socket
network beh
direct hal
direct hpfax
direct hp
network http
network ipp
network lpd
direct scsi
serial serial:/dev/ttyS0?baud=115200
serial serial:/dev/ttyS1?baud=115200
network smb

f3a97 (f3a97) wrote :

Same problem here, had to get an Intrepid machine to print a document I needed.

/dev/lp0 doesn't even exists.

Joshc (j-w-crawley) wrote :

I have found a fix.

Im running Ubuntu 9.04 Desktop on an old machine. I have a HP Laserjet 4 via /dev/lp0

I lsmod'ed to make sure the appropriate modules were loaded. I then checked dmesg to see what was in there. And lpstat still showed no /dev/lp0 activity. My experience thus far mirrors everybody else.

The fix:

josh@comp1:~$ sudo modprobe parport_pc

After you type in your system passwd, you should see a line either on stdout or dmesg along the lines of

parport0: PC-style at 0x378 (0x778), irq 7, dma 3 [PCSPP,TRISTATE,COMPAT,EPP,ECP,DMA]

After you modprobe the appropriate driver, /dev/lp0 will work and CUPS will alert you of a printer on that parallel port. To keep this working across reboots, add parport_pc to /etc/modules . It now should just work.

Can everyone test whether this is the solution?

Up to Intrepid parport_pc got loaded automatically. The fix which has to be done is that the module needs to get loaded automatically again.

FrancisT (francis-turner) wrote :

parport_pc is the fix for me.

sudo modprobe parport_pc got it working
adding parport_pc to /etc/modules has resulted in it working across resets.

There may be a bug with HPLIPS not properly finding the printer - it keeps on reporting "Device Communication Error" - but it prints fine...

edfield (ededdneddie) wrote :

parport_pc worked.

After that it recognized the printer but wouldn't print. I removed printer from cups and ran hp-setup from console.

$ sudo hp-setup -i

All problems fixed

Yeah!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Joshc (j-w-crawley) wrote :

Fix is partially correct. Adding parport_pc to /etc/modules does work. However, we need to find the underlying problem why parport_pc is not automatically being loaded.

Prior distributions of Ubuntu correctly loaded parport_pc. 9.04 does not.

Changed in linux (Ubuntu):
status: New → Fix Committed

Joshc, use "Fix Committed" only if a fix is submitted/uploaded but still needs to get approved. And with "fix" I mean any package (does not need to be "linux") which makes the automatic loading of the parport_pc module working again.

Changed in linux (Ubuntu):
status: Fix Committed → Confirmed
Joshc (j-w-crawley) wrote :

Sorry. I thought that was a "We got some sort of fix but not a 100% correct one" button.

bhiggs (bryanhiggs) wrote :

I tried adding parport_pc to /etc/modules, and rebooting.

The system came up, and I was able to bring up the New Printer dialog, and the proper printer was listed first in the list, as connected via the parallel port. I added it, and it now works.

Only one strangeness: I got some kind of error message dialog immediately after rebooting and logging in. Something to do with OAINIT, Applet failed. I did not capture the full contents. If it happens again, I'll post more details.

Thanks one and all!

Martin Pitt (pitti) on 2009-05-08
tags: added: regression-release
Martin Pitt (pitti) wrote :

Can you please open a terminal and do this:

  sudo rmmod parport_pc
  sudo udevadm monitor --udev -e

Now open a second terminal and do:

  sudo modprobe parport_pc

Now copy&paste the output of udevadm here.

After that, please attach /var/log/kern.log.

Thank you!

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
FrancisT (francis-turner) wrote :

sudo rmmod parport_pc retusn an error about "Module in use"

commening it out from /etc/modules and rebooting and then doing the two terminal thing provides the following output

monitor will print the received events for:
UDEV - the event which udev sends out after rule processing

UDEV [1241772792.733525] add /module/parport_pc (module)
UDEV_LOG=3
ACTION=add
DEVPATH=/module/parport_pc
SUBSYSTEM=module
SEQNUM=1336

UDEV [1241772792.735849] add /bus/platform/drivers/parport_pc (drivers)
UDEV_LOG=3
ACTION=add
DEVPATH=/bus/platform/drivers/parport_pc
SUBSYSTEM=drivers
SEQNUM=1337

UDEV [1241772792.762529] add /devices/pnp0/00:16/ppdev/parport0 (ppdev)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/pnp0/00:16/ppdev/parport0
SUBSYSTEM=ppdev
SEQNUM=1338
DEVNAME=/dev/parport0
MAJOR=99
MINOR=0
DEVLINKS=/dev/char/99:0

UDEV [1241772792.769047] add /devices/pnp0/00:16/printer/lp0 (printer)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/pnp0/00:16/printer/lp0
SUBSYSTEM=printer
SEQNUM=1339
DEVNAME=/dev/lp0
MAJOR=6
MINOR=0
DEVLINKS=/dev/char/6:0

UDEV [1241772792.782265] add /bus/pnp/drivers/parport_pc (drivers)
UDEV_LOG=3
ACTION=add
DEVPATH=/bus/pnp/drivers/parport_pc
SUBSYSTEM=drivers
SEQNUM=1340

UDEV [1241772792.800174] add /devices/platform/parport_pc.956 (platform)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/platform/parport_pc.956
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1341

UDEV [1241772792.830537] remove /devices/platform/parport_pc.956 (platform)
UDEV_LOG=3
ACTION=remove
DEVPATH=/devices/platform/parport_pc.956
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1342

UDEV [1241772792.845120] add /devices/platform/parport_pc.888 (platform)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/platform/parport_pc.888
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1343

UDEV [1241772792.849449] remove /devices/platform/parport_pc.888 (platform)
UDEV_LOG=3
ACTION=remove
DEVPATH=/devices/platform/parport_pc.888
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1344

UDEV [1241772792.868995] add /bus/pci/drivers/parport_pc (drivers)
UDEV_LOG=3
ACTION=add
DEVPATH=/bus/pci/drivers/parport_pc
SUBSYSTEM=drivers
SEQNUM=1347

UDEV [1241772792.878876] add /devices/platform/parport_pc.632 (platform)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/platform/parport_pc.632
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1345

UDEV [1241772792.886334] remove /devices/platform/parport_pc.632 (platform)
UDEV_LOG=3
ACTION=remove
DEVPATH=/devices/platform/parport_pc.632
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1346

Joshc (j-w-crawley) wrote :

I exhibit similar behaviors (namely module in use and rebooting without said module)

__________________________________________
root@comp1:~# udevadm monitor --udev -e
monitor will print the received events for:
UDEV - the event which udev sends out after rule processing

UDEV [1241815082.399105] add /bus/platform/drivers/parport_pc (drivers)
UDEV_LOG=3
ACTION=add
DEVPATH=/bus/platform/drivers/parport_pc
SUBSYSTEM=drivers
SEQNUM=1326

UDEV [1241815082.408403] add /devices/pnp0/00:01/ppdev/parport0 (ppdev)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/pnp0/00:01/ppdev/parport0
SUBSYSTEM=ppdev
SEQNUM=1327
DEVNAME=/dev/parport0
MAJOR=99
MINOR=0
DEVLINKS=/dev/char/99:0

UDEV [1241815082.412481] add /module/parport_pc (module)
UDEV_LOG=3
ACTION=add
DEVPATH=/module/parport_pc
SUBSYSTEM=module
SEQNUM=1325

UDEV [1241815082.418092] add /devices/pnp0/00:01/printer/lp0 (printer)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/pnp0/00:01/printer/lp0
SUBSYSTEM=printer
SEQNUM=1328
DEVNAME=/dev/lp0
MAJOR=6
MINOR=0
DEVLINKS=/dev/char/6:0

UDEV [1241815082.423160] add /bus/pnp/drivers/parport_pc (drivers)
UDEV_LOG=3
ACTION=add
DEVPATH=/bus/pnp/drivers/parport_pc
SUBSYSTEM=drivers
SEQNUM=1329

UDEV [1241815082.457832] add /bus/pci/drivers/parport_pc (drivers)
UDEV_LOG=3
ACTION=add
DEVPATH=/bus/pci/drivers/parport_pc
SUBSYSTEM=drivers
SEQNUM=1336

UDEV [1241815082.631216] add /devices/platform/parport_pc.956 (platform)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/platform/parport_pc.956
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1330

UDEV [1241815082.633744] add /devices/platform/parport_pc.888 (platform)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/platform/parport_pc.888
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1332

UDEV [1241815082.636140] add /devices/platform/parport_pc.632 (platform)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/platform/parport_pc.632
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1334

UDEV [1241815082.639935] remove /devices/platform/parport_pc.956 (platform)
UDEV_LOG=3
ACTION=remove
DEVPATH=/devices/platform/parport_pc.956
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1331

UDEV [1241815082.643563] remove /devices/platform/parport_pc.888 (platform)
UDEV_LOG=3
ACTION=remove
DEVPATH=/devices/platform/parport_pc.888
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1333

UDEV [1241815082.647127] remove /devices/platform/parport_pc.632 (platform)
UDEV_LOG=3
ACTION=remove
DEVPATH=/devices/platform/parport_pc.632
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1335
_______________________________________________

edfield (ededdneddie) wrote :
Download full text (4.5 KiB)

Same behavior. Remarked out in etc/modules and rebooted.

monitor will print the received events for:
UDEV - the event which udev sends out after rule processing

UDEV [1241917282.105341] add /bus/platform/drivers/parport_pc (drivers)
UDEV_LOG=3
ACTION=add
DEVPATH=/bus/platform/drivers/parport_pc
SUBSYSTEM=drivers
SEQNUM=1212

UDEV [1241917282.106069] add /module/parport_pc (module)
UDEV_LOG=3
ACTION=add
DEVPATH=/module/parport_pc
SUBSYSTEM=module
SEQNUM=1211

UDEV [1241917282.137174] add /devices/pnp0/00:01/ppdev/parport0 (ppdev)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/pnp0/00:01/ppdev/parport0
SUBSYSTEM=ppdev
SEQNUM=1213
DEVNAME=/dev/parport0
MAJOR=99
MINOR=0
DEVLINKS=/dev/char/99:0

UDEV [1241917282.139190] add /devices/pnp0/00:01/printer/lp0 (printer)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/pnp0/00:01/printer/lp0
SUBSYSTEM=printer
SEQNUM=1214
DEVNAME=/dev/lp0
MAJOR=6
MINOR=0
DEVLINKS=/dev/char/6:0

UDEV [1241917282.150484] add /bus/pnp/drivers/parport_pc (drivers)
UDEV_LOG=3
ACTION=add
DEVPATH=/bus/pnp/drivers/parport_pc
SUBSYSTEM=drivers
SEQNUM=1215

UDEV [1241917282.214781] add /devices/platform/parport_pc.956 (platform)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/platform/parport_pc.956
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1216

UDEV [1241917282.219802] remove /devices/platform/parport_pc.956 (platform)
UDEV_LOG=3
ACTION=remove
DEVPATH=/devices/platform/parport_pc.956
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1217

UDEV [1241917282.239225] add /devices/platform/parport_pc.888 (platform)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/platform/parport_pc.888
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1218

UDEV [1241917282.241312] remove /devices/platform/parport_pc.888 (platform)
UDEV_LOG=3
ACTION=remove
DEVPATH=/devices/platform/parport_pc.888
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1219

UDEV [1241917282.254842] add /bus/pci/drivers/parport_pc (drivers)
UDEV_LOG=3
ACTION=add
DEVPATH=/bus/pci/drivers/parport_pc
SUBSYSTEM=drivers
SEQNUM=1222

UDEV [1241917282.280084] add /devices/platform/parport_pc.632 (platform)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/platform/parport_pc.632
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1220

UDEV [1241917282.284976] remove /devices/platform/parport_pc.632 (platform)
UDEV_LOG=3
ACTION=remove
DEVPATH=/devices/platform/parport_pc.632
SUBSYSTEM=platform
MODALIAS=platform:parport_pc
SEQNUM=1221

monitor will print the received events for:
UDEV - the event which udev sends out after rule processing

UDEV [1241917282.105341] add /bus/platform/drivers/parport_pc (drivers)
UDEV_LOG=3
ACTION=add
DEVPATH=/bus/platform/drivers/parport_pc
SUBSYSTEM=drivers
SEQNUM=1212

UDEV [1241917282.106069] add /module/parport_pc (module)
UDEV_LOG=3
ACTION=add
DEVPATH=/module/parport_pc
SUBSYSTEM=module
SEQNUM=1211

UDEV [1241917282.137174] add /devices/pnp0/00:01/ppdev/parport0 (ppdev)
UDEV_LOG=3
ACTION=add
DEVPATH=/devices/pnp0/00:01/ppdev/parport0
SUBSYSTEM=ppdev
SEQNUM=1213
DEVNAME=/dev/parport0
MAJOR=99
MINOR=0
DEVLINKS=/dev/char/99:0

UDEV [1241917282.139190] add /devices/pnp0/00:01/p...

Read more...

bhiggs (bryanhiggs) on 2009-05-11
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Amit Kucheria (amitk) wrote :

This seems to be a udev issue. Assigning it to pitti

Changed in udev (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → High
status: New → Confirmed
Changed in linux (Ubuntu):
importance: High → Undecided
status: Confirmed → Invalid

Sorry for the confusion above, this is unlikely to be a udev issue but simply missing entries in the kernel device table for the parport_pc module.

Could people attach their /var/log/udev files to this bug.

Thanks

Changed in udev (Ubuntu):
status: Confirmed → Invalid
Changed in linux (Ubuntu):
importance: Undecided → High
status: Invalid → Confirmed
Amit Kucheria (amitk) on 2009-05-12
Changed in linux (Ubuntu):
assignee: nobody → Amit Kucheria (amitk)
Changed in udev (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
importance: High → Undecided
edfield (ededdneddie) wrote :

udev logs

edfield: you have no pnpacpi devices listed in your udev.log - would I
be right in assuming that this is a fairly old machine?

Scott
--
Scott James Remnant
<email address hidden>

It is an HP P4. Don't know how old, it was given to me second hand. The motherboard is an Asus P4B266-LA Rev 1.0 It has had Ubuntu on iit for 3 1/2 years now and this is the first significant problem I have had with the machine. It does what I want it to do, so I have seen no need to upgrade it.

Ed

apw cooked up some patches to add MODALIAS support to PNPBIOS - they might help edfield's problem ;)

Rich Bishop (richbishop007) wrote :

Hi all,

I am having a similar problem, however, I am a bit new to Ubuntu. I went through the steps written by Joshc:

>josh@comp1:~$ sudo modprobe parport_pc
>
>After you type in your system passwd, you should see a line either >on stdout or dmesg along the lines of

>parport0: PC-style at 0x378 (0x778), irq 7, dma 3 >[PCSPP,TRISTATE,COMPAT,EPP,ECP,DMA]

>After you modprobe the appropriate driver, /dev/lp0 will work and >CUPS will alert you of a printer on that parallel port. To keep this >working across reboots, add parport_pc to /etc/modules . It now >should just work.

However, what does he mean concerning modprobe the appropriate driver? I have down a "man" on modprobe, but it really doesn't help me. I have a HP LaserJet 4P that is currently not recognized by the printer setup (I only get a setup for a serial printer which does not work:-) ).

The directions Joshc gave were great, but I'm not sure how to use the modprobe command here...

Also, I have already added the parport_pc to the etc/modules file as shown below:

rich@ubuntu:~$ more /etc/modules
# /etc/modules: kernel modules to load at boot time.
#
# This file contains the names of kernel modules that should be loaded
# at boot time, one per line. Lines beginning with "#" are ignored.

lp
rtc
sbp2
parport_pc

Thanks a bunch for the help!

Rich

CAMILO (camilo-labnanni) wrote :

HI
I found this solution. In my case it works. I come from world the Windows. I am new in linux.
i Do not know how to edit the file / etc / modules for doing that at the beginning. Can tell me how?
The solution is:

remove the lp and parport_pc modules

$ sudo rmmod lp
$ sudo rmmod parport_pc

and then reload parport_pc with the i/o address* and no irq

$ sudo /sbin/insmod /lib/modules/2.6.28-11-generic/kernel/drivers/parport/parport_pc.ko io=0x378 irq=7

then reload lp

$ sudo /sbin/insmod /lib/modules/2.6.28-11-generic/kernel/drivers/char/lp.ko

Rich Bishop (richbishop007) wrote :

Hi,

I tried the steps shown above, and I still only get a serial printer only.

As far as editing the /etc/modules file, I did the following:

su root (then entered the admin password)

Then I edited the /etc/modules file to contain:

parport_pc
lp
rtc
sbp2

Thanks for the help, but it still doesn't work :-(

cubytus (semaphore45) wrote :

I have a HP LaserJet 1100 that was perfectly working on Ubuntu 8.04, but couldn't even be detected in 9.04.
I didn't even had the /dev/lp0 in that tree.
As a machine, I have the exact same motherboard as edfield, and maybe the same computer (a HP Pavilion 750n), which is 9 year old. Everything is stock except the hard drive and a DVD burner.

I added parport_pc in /etc/modules, and rebooted.

I then tried to install the printer using the standard Ubuntu GUI, and it detected the correct printer on the parallel port.

I could set it up using CUPS+Gutenprint, as I saw it gave "less bad" results as a color approximation at 600dpi.

All,

The only way that I got this fixed was to reinstall 9.0.4 on my machine.
Now both my Samsung flat planel is recognized AND my parallel port printer.

Regards,

Richard Bishop

On Sat, May 23, 2009 at 12:56 PM, cubytus <email address hidden> wrote:

> I have a HP LaserJet 1100 that was perfectly working on Ubuntu 8.04, but
> couldn't even be detected in 9.04.
> I didn't even had the /dev/lp0 in that tree.
> As a machine, I have the exact same motherboard as edfield, and maybe the
> same computer (a HP Pavilion 750n), which is 9 year old. Everything is stock
> except the hard drive and a DVD burner.
>
> I added parport_pc in /etc/modules, and rebooted.
>
> I then tried to install the printer using the standard Ubuntu GUI, and
> it detected the correct printer on the parallel port.
>
> I could set it up using CUPS+Gutenprint, as I saw it gave "less bad"
> results as a color approximation at 600dpi.
>
> --
> Cannot set up parallel port printer on Ubuntu 9.04
> https://bugs.launchpad.net/bugs/369850
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” source package in Ubuntu: Confirmed
> Status in “udev” source package in Ubuntu: Invalid
>
> Bug description:
> Binary package hint: cups
>
> I have just done a clean upgrade from Intrepid Ibex to Jaunty Jackalope
> (i.e., I downloaded the CD .iso file, burned it to CD and then did a clean
> install over the existing Ubuntu installation).
>
> I was able to set up my parallel port connected laser printer on Intrepid
> Ibex, but Jaunty Jackalope seems not to give me a choice of Parallal port
> when I try to set up my printer.
>
> Please tell me how to set up my parallel port connected laser printer on
> Jaunty Jackalope.
>
> Thanks!
>
> I used the ubuntu-bug cups program to upload the information about my
> system. I hope that it made it, associated with this bug.
>
> ProblemType: Bug
> Architecture: i386
> CupsErrorLog:
> E [29/Apr/2009:13:47:59 -0400] CUPS-Add-Modify-Printer: Unauthorized
> E [29/Apr/2009:13:53:18 -0400] cupsdAuthorize: Local authentication
> certificate not found!
> E [29/Apr/2009:13:54:02 -0400] cupsdAuthorize: Local authentication
> certificate not found!
> E [29/Apr/2009:13:54:02 -0400] CUPS-Delete-Printer: Unauthorized
> DistroRelease: Ubuntu 9.04
> Lpstat: Error: command ['lpstat', '-v'] failed with exit code 1: lpstat: No
> destinations added.
> Lsusb:
> Bus 001 Device 002: ID 13b1:000d Linksys WUSB54G Wireless Adapter
> Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> MachineType: Dell Computer Corporation L466c
> Package: cups 1.3.9-17ubuntu2
> Papersize: letter
> ProcCmdLine: root=UUID=03f04b06-444f-44e9-8017-ff85b8c6db57 ro quiet splash
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
> SourcePackage: cups
>

It is not exactly the same problem because I use a PCI parallel port card to connect my HP-4L on my desktop but there are some similarities and it could help. The printing was fine with 9.04 but with 9.10 the printing was erratic (a lot of miscelleneous caracters and pages for 2 caracters to print), "par" option does not appear in hp-setup. When I compare parport0 line of dmesg in 9.04 and 9.10 they are really different with DMA and EPP in 9.04 and "using FIFO" and no EPP in 9.10.
in 9.10 : parport0: PC-style at 0xc880 (0xc800), irq 22, using FIFO [PCSPP,TRISTATE,COMPAT,ECP]

I use the solution of CAMILO with : dmesg|grep parport (to get io and irq); sudo rmmod lp ; sudo rmmod parport_pc ; sudo /sbin/insmod /lib/modules/2.6.31-15-generic/kernel/drivers/parport/parport_pc.ko io=0xc880 irq=22 dma=3; sudo /sbin/insmod /lib/modules/2.6.31-15-generic/kernel/drivers/char/lp.ko
I reinstalled (supress/new) the printer with system-> administration and it worked fine again
In dmesg i got now : parport0: PC-style at 0xc880, irq 22 [PCSPP,TRISTATE,EPP]. I am not sure for dma=3 but anyway it solve the problem.
Regards

tags: added: jaunty
summary: - Cannot set up parallel port printer on Ubuntu 9.04
+ Cannot set up parallel port printer on Ubuntu 9.04 or 9.10
tags: added: karmic

I have a HP deskjet 520 connected via parallel port. I does not work. HP Device Manager will not let me configure the parallel port. I have attached the trouble shoot report.

Rocky

ramack (ramack153) wrote :

After upgrading to 9.10, my HP 5L on my parallel port no longer works.

Rich

ramack (ramack153) wrote :

After upgrading to 9.10, my HP 5L on my parallel port no longer works.

Rich

ramack (ramack153) wrote :

After upgrading to 9.10, my HP 5L on my parallel port no longer works.

Rich

chrone (chrone81) wrote :

8.04 detected the lp0, but after reinstalling to 9.10, ubuntu could not detect any lp0 devices.

i'm using a p4 2ghz with intel 945g chipset motherboard. how to debug this problem?

Try sudo modprobe parport_pc and see if the printer is found

If it is then add parport_pc to you /etc/modules file

This usually fixes the problem

On Sat, Jan 16, 2010 at 4:34 PM, chrone <email address hidden> wrote:
> 8.04 detected the lp0, but after reinstalling to 9.10, ubuntu could not
> detect any lp0 devices.
>
> i'm using a p4 2ghz with intel 945g chipset motherboard. how to debug
> this problem?
>
> --
> Cannot set up parallel port printer on Ubuntu 9.04 or 9.10
> https://bugs.launchpad.net/bugs/369850
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
> Status in “udev” package in Ubuntu: Invalid
>
> Bug description:
> Binary package hint: cups
>
> I have just done a clean upgrade from Intrepid Ibex to Jaunty Jackalope (i.e., I downloaded the CD .iso file, burned it to CD and then did a clean install over the existing Ubuntu installation).
>
> I was able to set up my parallel port connected laser printer on Intrepid Ibex, but Jaunty Jackalope seems not to give me a choice of Parallal port when I try to set up my printer.
>
> Please tell me how to set up my parallel port connected laser printer on Jaunty Jackalope.
>
> Thanks!
>
> I used the ubuntu-bug cups program to upload the information about my system.  I hope that it made it, associated with this bug.
>
> ProblemType: Bug
> Architecture: i386
> CupsErrorLog:
>  E [29/Apr/2009:13:47:59 -0400] CUPS-Add-Modify-Printer: Unauthorized
>  E [29/Apr/2009:13:53:18 -0400] cupsdAuthorize: Local authentication certificate not found!
>  E [29/Apr/2009:13:54:02 -0400] cupsdAuthorize: Local authentication certificate not found!
>  E [29/Apr/2009:13:54:02 -0400] CUPS-Delete-Printer: Unauthorized
> DistroRelease: Ubuntu 9.04
> Lpstat: Error: command ['lpstat', '-v'] failed with exit code 1: lpstat: No destinations added.
> Lsusb:
>  Bus 001 Device 002: ID 13b1:000d Linksys WUSB54G Wireless Adapter
>  Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> MachineType: Dell Computer Corporation L466c
> Package: cups 1.3.9-17ubuntu2
> Papersize: letter
> ProcCmdLine: root=UUID=03f04b06-444f-44e9-8017-ff85b8c6db57 ro quiet splash
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
> SourcePackage: cups
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/369850/+subscribe
>

--
http://www.di2.nu/blog.htm
Faber's Fourth Law:
  Necessity is the mother of strange bedfellows.

thanks FrancisT, i sudo modprobe parport_pc and it detected my lp0 device. i wonder why ubuntu 9.10 could not detect this on first installation. :)

ramack (ramack153) wrote :

I tried several suggestions from this thread and others, without success. I performed a fresh install with 9.10 and it's now working.

Since the fresh install I have used apt-get instead of aptitude. I've had some problems with aptitude in the recent past with upgrades, not sure if this was caused by aptitude or not, but I'm going back to apt-get.

Look at some of the suggestions in this thread.  They were not helpful to me.  I was only able to resolve the issue by preforming a fresh install.  I needed to get my printer working quickly, I didn't have the time to wait for a suggestion that worked, so I burned a new iso disc and installed it

--- On Sat, 1/16/10, chrone <email address hidden> wrote:

From: chrone <email address hidden>
Subject: [Bug 369850] Re: Cannot set up parallel port printer on Ubuntu 9.04 or 9.10
To: <email address hidden>
Date: Saturday, January 16, 2010, 8:34 AM

8.04 detected the lp0, but after reinstalling to 9.10, ubuntu could not
detect any lp0 devices.

i'm using a p4 2ghz with intel 945g chipset motherboard. how to debug
this problem?

--
Cannot set up parallel port printer on Ubuntu 9.04 or 9.10
https://bugs.launchpad.net/bugs/369850
You received this bug notification because you are a direct subscriber
of the bug.

Status in “linux” package in Ubuntu: Confirmed
Status in “udev” package in Ubuntu: Invalid

Bug description:
Binary package hint: cups

I have just done a clean upgrade from Intrepid Ibex to Jaunty Jackalope (i.e., I downloaded the CD .iso file, burned it to CD and then did a clean install over the existing Ubuntu installation).

I was able to set up my parallel port connected laser printer on Intrepid Ibex, but Jaunty Jackalope seems not to give me a choice of Parallal port when I try to set up my printer.

Please tell me how to set up my parallel port connected laser printer on Jaunty Jackalope.

Thanks!

I used the ubuntu-bug cups program to upload the information about my system.  I hope that it made it, associated with this bug.

ProblemType: Bug
Architecture: i386
CupsErrorLog:
 E [29/Apr/2009:13:47:59 -0400] CUPS-Add-Modify-Printer: Unauthorized
 E [29/Apr/2009:13:53:18 -0400] cupsdAuthorize: Local authentication certificate not found!
 E [29/Apr/2009:13:54:02 -0400] cupsdAuthorize: Local authentication certificate not found!
 E [29/Apr/2009:13:54:02 -0400] CUPS-Delete-Printer: Unauthorized
DistroRelease: Ubuntu 9.04
Lpstat: Error: command ['lpstat', '-v'] failed with exit code 1: lpstat: No destinations added.
Lsusb:
 Bus 001 Device 002: ID 13b1:000d Linksys WUSB54G Wireless Adapter
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Dell Computer Corporation L466c
Package: cups 1.3.9-17ubuntu2
Papersize: letter
ProcCmdLine: root=UUID=03f04b06-444f-44e9-8017-ff85b8c6db57 ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
SourcePackage: cups

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/369850/+subscribe

Amit Kucheria (amitk) on 2010-04-06
Changed in linux (Ubuntu):
assignee: Amit Kucheria (amitk) → nobody

yes

Changed in linux (Ubuntu):
assignee: nobody → Lim Lu Ban (limluban)
Jeremy Foshee (jeremyfoshee) wrote :

Lim Lu Ban,
    Please don't assign yourself to bugs unless you are the developer assigned within the Ubuntu Kernel Team to fix a particular issue.

Thanks!

~JFo

Changed in linux (Ubuntu):
assignee: Lim Lu Ban (limluban) → nobody
Paul Huffman (huffmanp) wrote :

Had the problem after upgrading from 8.04 to 10.04. Looked for help on ubuntuforums.org (http://ubuntuforums.org/showthread.php?t=1457290) but found this bug report.

Fix worked by typing in "sudo modrobe parport_pc "

Didn't add it to /etc/modules correctly, but hope to try that again soon.

Changed in cups (Ubuntu):
status: New → Fix Committed
Changed in linux (Ubuntu Lucid):
status: New → Invalid
Changed in udev (Ubuntu Lucid):
status: New → Invalid

I have modified the cups package now to also load parport_pc when starting the CUPS daemon, not only lp and ppdev. This change I have committed to Debian's BZR repository for CUPS, and this is at least a workaround for the problem reported here. It shgould appear in Debian unstable and Maverick soon.

I suggest this also as an SRU for Lucid LTS. In Lucid it is perhaps too invasive to fix this problem via the kernel or udev.

Martin Pitt (pitti) wrote :

Till, the parport_pc module already has modaliases and is supposed to be auto-loaded. Adding it to cups' init.d script is the worst of all possible solutions, I'm afraid:

 * It's not inherently related to cups
 * It loads the parport_pc module for everyone, unconditionally, thus wasting resources for the 99% of people who don't need it
 * It's done in the slowest possible manner.

If we want all systems to load parport_pc by default (which we don't), then it should be built into the kernel or added to /etc/modules. But it really should just autoload.

Martin Pitt (pitti) wrote :

This cups change is an ugly hack and wrong. It's not suitable for an SRU.

Changed in cups (Ubuntu Lucid):
status: New → Won't Fix
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.4.4-1

---------------
cups (1.4.4-1) unstable; urgency=medium

  [ Till Kamppeter ]
  * debian/cups.init.d: When loading kernel modules for the parallel port
    load also the "parport_pc" module (LP: #369850).
  * debian/filters/pstopdf: Fixed the problem of the UseCIEColor warning of
    Ghostscript correctly. The file format converter should not do any kind
    of color correction but simply pass the colors through (LP: #578181).
  * debian/patches/cups-deviced-allow-device-ids-with-newline.dpatch: Some
    printers have broken device IDs with newline characters inside. These
    break the cups-deviced printer discovery mechanism and so the printers
    get ignored. This patch allows newline characters in device IDs
    (LP: #468701).

  [ Martin Pitt ]
  * New upstream bug fix/security release. Therefore "medium" urgency.
    - CUPS could overwrite files as root in directories owned or writable by
      non-root users. [STR #3510, CVE-2010-2431]
    - The web interface now includes additional CSRF protection.
      [STR #3498, CVE-2010-0540]
    - The texttops filter did not check the results of allocations.
      [STR #3516, CVE-2010-0542]
    - The web admin interface could disclose the contents of memory.
      [STR #3577, CVE-2010-1748]
  * Drop select_use_after_free.dpatch: Applied upstream.
  * do-not-broadcast-with-hostnames.dpatch: Update to apply to new version.
  * debian/libcups2.symbols, debian/libcupscgi1.symbols: Update for new
    version.
  * Add support-gzipped-charmaps.dpatch: Support gzipped charset → UTF8 maps;
    they compress very well and take a lot of space.
  * debian/rules: Compress /usr/share/cups/charmaps/*.txt in cups-common.
  * debian/local/filters/pdf-filters/*: Reenable call of setErrorFunction() on
    armel, now that poppler on arm has been fixed (see #575262)
  * debian/cups.postinst: Drop some obsolete transition code.
  * debian/cups.postinst: Some versions of cups-pdf (and perhaps other
    packages) changed the permissions of /usr/lib/cups/backend. Fix that
    during upgrade. (Closes: #582942)
  * debian/control: Drop all the transitional cupsys* packages and the
    remaining provides/conflicts/replaces on them. All packages in sid are now
    transitioned to the new package names, and Lenny already had them.
 -- Martin Pitt <email address hidden> Tue, 29 Jun 2010 19:03:39 +0200

Changed in cups (Ubuntu Maverick):
status: Fix Committed → Fix Released

Similar problem was solved here:

http://ubuntuforums.org/showthread.php?t=1482377

Give it a try?

On Wed, Jun 30, 2010 at 11:32 AM, Launchpad Bug Tracker
<email address hidden> wrote:
> ** Branch linked: lp:debian/sid/cups
>
> --
> Cannot set up parallel port printer on Ubuntu 9.04 or 9.10
> https://bugs.launchpad.net/bugs/369850
> You received this bug notification because you are a member of Ubuntu
> Kernel Team, which is a direct subscriber.
>
> Status in “cups” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Confirmed
> Status in “udev” package in Ubuntu: Invalid
> Status in “cups” source package in Lucid: Won't Fix
> Status in “linux” source package in Lucid: Invalid
> Status in “udev” source package in Lucid: Invalid
> Status in “cups” source package in Maverick: Fix Released
> Status in “linux” source package in Maverick: Confirmed
> Status in “udev” source package in Maverick: Invalid
>
> Bug description:
> Binary package hint: cups
>
> I have just done a clean upgrade from Intrepid Ibex to Jaunty Jackalope (i.e., I downloaded the CD .iso file, burned it to CD and then did a clean install over the existing Ubuntu installation).
>
> I was able to set up my parallel port connected laser printer on Intrepid Ibex, but Jaunty Jackalope seems not to give me a choice of Parallal port when I try to set up my printer.
>
> Please tell me how to set up my parallel port connected laser printer on Jaunty Jackalope.
>
> Thanks!
>
> I used the ubuntu-bug cups program to upload the information about my system.  I hope that it made it, associated with this bug.
>
> ProblemType: Bug
> Architecture: i386
> CupsErrorLog:
>  E [29/Apr/2009:13:47:59 -0400] CUPS-Add-Modify-Printer: Unauthorized
>  E [29/Apr/2009:13:53:18 -0400] cupsdAuthorize: Local authentication certificate not found!
>  E [29/Apr/2009:13:54:02 -0400] cupsdAuthorize: Local authentication certificate not found!
>  E [29/Apr/2009:13:54:02 -0400] CUPS-Delete-Printer: Unauthorized
> DistroRelease: Ubuntu 9.04
> Lpstat: Error: command ['lpstat', '-v'] failed with exit code 1: lpstat: No destinations added.
> Lsusb:
>  Bus 001 Device 002: ID 13b1:000d Linksys WUSB54G Wireless Adapter
>  Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> MachineType: Dell Computer Corporation L466c
> Package: cups 1.3.9-17ubuntu2
> Papersize: letter
> ProcCmdLine: root=UUID=03f04b06-444f-44e9-8017-ff85b8c6db57 ro quiet splash
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
> SourcePackage: cups
>
>
>

--
Regards,
Peter Teoh

Download full text (5.2 KiB)

But it needed a MS server, which most of us do not have.

Envoyé de Mobile Mail

Le 2010-06-30 à 03:57, "<email address hidden>" <email address hidden> a écrit :

> Similar problem was solved here:
>
> http://ubuntuforums.org/showthread.php?t=1482377
>
> Give it a try?
>
> On Wed, Jun 30, 2010 at 11:32 AM, Launchpad Bug Tracker
> <email address hidden> wrote:
>> ** Branch linked: lp:debian/sid/cups
>>
>> --
>> Cannot set up parallel port printer on Ubuntu 9.04 or 9.10
>> https://bugs.launchpad.net/bugs/369850
>> You received this bug notification because you are a member of Ubuntu
>> Kernel Team, which is a direct subscriber.
>>
>> Status in “cups” package in Ubuntu: Fix Released
>> Status in “linux” package in Ubuntu: Confirmed
>> Status in “udev” package in Ubuntu: Invalid
>> Status in “cups” source package in Lucid: Won't Fix
>> Status in “linux” source package in Lucid: Invalid
>> Status in “udev” source package in Lucid: Invalid
>> Status in “cups” source package in Maverick: Fix Released
>> Status in “linux” source package in Maverick: Confirmed
>> Status in “udev” source package in Maverick: Invalid
>>
>> Bug description:
>> Binary package hint: cups
>>
>> I have just done a clean upgrade from Intrepid Ibex to Jaunty Jackalope (i.e., I downloaded the CD .iso file, burned it to CD and then did a clean install over the existing Ubuntu installation).
>>
>> I was able to set up my parallel port connected laser printer on Intrepid Ibex, but Jaunty Jackalope seems not to give me a choice of Parallal port when I try to set up my printer.
>>
>> Please tell me how to set up my parallel port connected laser printer on Jaunty Jackalope.
>>
>> Thanks!
>>
>> I used the ubuntu-bug cups program to upload the information about my system. I hope that it made it, associated with this bug.
>>
>> ProblemType: Bug
>> Architecture: i386
>> CupsErrorLog:
>> E [29/Apr/2009:13:47:59 -0400] CUPS-Add-Modify-Printer: Unauthorized
>> E [29/Apr/2009:13:53:18 -0400] cupsdAuthorize: Local authentication certificate not found!
>> E [29/Apr/2009:13:54:02 -0400] cupsdAuthorize: Local authentication certificate not found!
>> E [29/Apr/2009:13:54:02 -0400] CUPS-Delete-Printer: Unauthorized
>> DistroRelease: Ubuntu 9.04
>> Lpstat: Error: command ['lpstat', '-v'] failed with exit code 1: lpstat: No destinations added.
>> Lsusb:
>> Bus 001 Device 002: ID 13b1:000d Linksys WUSB54G Wireless Adapter
>> Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
>> MachineType: Dell Computer Corporation L466c
>> Package: cups 1.3.9-17ubuntu2
>> Papersize: letter
>> ProcCmdLine: root=UUID=03f04b06-444f-44e9-8017-ff85b8c6db57 ro quiet splash
>> ProcEnviron:
>> LANG=en_US.UTF-8
>> SHELL=/bin/bash
>> ProcVersionSignature: Ubuntu 2.6.28-11.42-generic
>> SourcePackage: cups
>>
>>
>>
>
>
> --
> Regards,
> Peter Teoh
>
> --
> Cannot set up parallel port printer on Ubuntu 9.04 or 9.10
> https://bugs.launchpad.net/bugs/369850
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “cups” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Confirmed
> Status in “udev” package in Ubuntu...

Read more...

papukaija (papukaija) on 2010-07-26
tags: added: lucid maverick
summary: - Cannot set up parallel port printer on Ubuntu 9.04 or 9.10
+ Cannot set up parallel port printer

Seems this was resolved in cups. Closing the Maverick linux task for now. If we need to add new device ids to parport_pc for Maverick, please open a new linux bug and provide up to date info. Thanks.

Changed in linux (Ubuntu Maverick):
status: Confirmed → Invalid
Rolf Leggewie (r0lf) wrote :

Leann, the resolution in cups was deemed a hack and I agree. What about devices that need the parallel port for other things than printing?

Hi Rolf,

I agree that if support for devices are missing from parport_pc we should fix them. However, this bug was opened well over a year ago against Jaunty no less and it's not obvious which devices would still need support in Maverick, if any. Hence it would be much more helpful to open a pristine new bug report against the kernel with appropriate debug information per device.

Till, we should examine (maybe at UDS) dropping this patch from cups in Maverick+1 (ie Natty) and determine who is still affected and get them properly fixed up.

Rolf Leggewie (r0lf) wrote :

Leann, fair enough. I can say that I'm still affected with my LAN server that is running lucid: http://blog.leggewie.org/?p=70 Against which package should I open it?

Rolf Leggewie (r0lf) wrote :

oh, you did mention it should be opened against the kernel: bug 621253

Linda Gonzalez (gozlin) wrote :

I am new to linux and running UBUNTO 10.04. I have an old Epson ActionLaser 1500 that I have been trying to print to for weeks and this has finally made it go, but it's lost when I reboot. There's no "/etc/modules" in my filesystem. If it was working in previous distributions???

On Wed, Sep 15, 2010 at 03:54:47AM -0000, Linda Gonzalez wrote:
> I am new to linux and running UBUNTO 10.04. I have an old Epson
> ActionLaser 1500 that I have been trying to print to for weeks and this
> has finally made it go, but it's lost when I reboot. There's no
> "/etc/modules" in my filesystem. If it was working in previous
> distributions???

If there is no /etc/modules on the filesystem, you can just create it with
just this 'parport_pc' line in it.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers